BOOBATHON(1)

NAME
boobathon

SYNOPSIS
boobathon [-dqv] [-b backends] [-cnfs] boobathon
boobathon [--help] [--version]

DESCRIPTION

Console application to participate to a Boobathon.

  Supported websites:
* dlfp (Da Linux French Page news website)
* mediawiki (Wikis running MediaWiki, like Wikipedia)
* redmine (The Redmine project management web application)

BOOBATHON COMMANDS

addtask BACKEND CAPABILITY
    Add a new task.

cancel
    Cancel the current task.

close WINNER
    Close the event and set the winner.

done
    Set the current task as done.

edit [event | me]
    Edit information about you or about event.

info
    Display information about this event.

join
    Join this event.

leave
    Leave this event.

members
    Display members information.

progress
    Display progress of members.

remtask TASK_ID
    Remove a task.

start [TASK_ID]
    Start a task. If you don't give a task ID, the first available
    task will be taken.

tasks
    Display all tasks of members.

WEBOOB COMMANDS

backends [ACTION] [BACKEND_NAME]...
    Select used backends.
    ACTION is one of the following (default: list):
    * enable enable given backends
    * disable disable given backends
    * only enable given backends and disable the others
    * list list backends
    * add add a backend
    * register register a new account on a website
    * edit edit a backend
    * remove remove a backend
    * list-modules list modules

cd [PATH]
    Follow a path.
    ".." is a special case and goes up one directory.
    "" is a special case and goes home.

condition [EXPRESSION | off]
    If an argument is given, set the condition expression used to filter the results.
    If the "off" value is given, conditional filtering is disabled.
    If no argument is given, print the current condition expression.

count [NUMBER | off]
    If an argument is given, set the maximum number of results fetched.
    NUMBER must be at least 1.
    "off" value disables counting, and allows infinite searches.
    If no argument is given, print the current count value.

formatter [list | FORMATTER [COMMAND] | option OPTION_NAME [on | off]]
    If a FORMATTER is given, set the formatter to use.
    You can add a COMMAND to apply the formatter change only to
    a given command.
    If the argument is "list", print the available formatters.
    If the argument is "option", set the formatter options.
    Valid options are: header, keys.
    If on/off value is given, set the value of the option.
    If not, print the current value for the option.
    If no argument is given, print the current formatter.

inspect BACKEND_NAME
    Display the HTML string of the current page of the specified backend's browser.
    If webkit_mechanize_browser Python module is installed, HTML is displayed in a WebKit GUI.

logging [LEVEL]
    Set logging level.
    Availables: debug, info, warning, error.
    * quiet is an alias for error
    * default is an alias for warning

ls [PATH]
    List objects in current path.
    If an argument is given, list the specified path.

quit
    Quit the application.

select [FIELD_NAME]... | "$direct" | "$full"
    If an argument is given, set the selected fields.
    $direct selects all fields loaded in one http request.
    $full selects all fields using as much http requests as necessary.
    If no argument is given, print the currently selected fields.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-b BACKENDS, --backends=BACKENDS
    what backend(s) to enable (comma separated)

LOGGING OPTIONS

-d, --debug
    display debug messages

-q, --quiet
    display only error messages

-v, --verbose
    display info messages

--logging-file=LOGGING_FILE
    file to save logs

-a, --save-responses
    save every response

RESULTS OPTIONS

-c CONDITION, --condition=CONDITION
    filter result items to display given a boolean expression

-n COUNT, --count=COUNT
    get a maximum number of results (all backends merged)

-s SELECT, --select=SELECT
    select result item keys to display (comma separated)

FORMATTING OPTIONS

-f FORMATTER, --formatter=FORMATTER
    select output formatter (csv, htmltable, multiline, simple, table, webkit)

--no-header
    do not display header

--no-keys
    do not display item keys

-O OUTFILE, --outfile=OUTFILE
    file to export result

COPYRIGHT
Copyright(C) 2011 Romain Bignon

For full COPYRIGHT see COPYING file with weboob package.

FILES
"~/.config/weboob/backends"

SEE ALSO
Home page: http://weboob.org/applications/boobathon